package domain


type AlibabaRetailMarketingItemdiscountActivitySkuDeleteItemDiscountActivityElementOperateRequest struct {
    /*
        商品元素信息     */
    SkuElements  *[]AlibabaRetailMarketingItemdiscountActivitySkuDeleteSkuActivityElementDto `json:"sku_elements,omitempty" `

    /*
        操作活动的ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        操作人ID（仅支持数字类型）     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人Name     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        erp外部活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountActivitySkuDeleteItemDiscountActivityElementOperateRequest) SetSkuElements(v []AlibabaRetailMarketingItemdiscountActivitySkuDeleteSkuActivityElementDto) *AlibabaRetailMarketingItemdiscountActivitySkuDeleteItemDiscountActivityElementOperateRequest {
    s.SkuElements = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuDeleteItemDiscountActivityElementOperateRequest) SetActId(v int64) *AlibabaRetailMarketingItemdiscountActivitySkuDeleteItemDiscountActivityElementOperateRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuDeleteItemDiscountActivityElementOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingItemdiscountActivitySkuDeleteItemDiscountActivityElementOperateRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuDeleteItemDiscountActivityElementOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingItemdiscountActivitySkuDeleteItemDiscountActivityElementOperateRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuDeleteItemDiscountActivityElementOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingItemdiscountActivitySkuDeleteItemDiscountActivityElementOperateRequest {
    s.OutActId = &v
    return s
}
